autoweka

## Class ClassifierRunner.EvaluatorThread

- java.lang.Object
- - java.lang.Thread
  - - autoweka.ClassifierRunner.EvaluatorThread

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    ClassifierRunner

      public static class ClassifierRunner.EvaluatorThread
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluatorThread(weka.classifiers.Evaluation ev, weka.classifiers.AbstractClassifier cls, weka.core.Instances inst)`
    `EvaluatorThread(weka.classifiers.Evaluation ev, weka.classifiers.AbstractClassifier cls, weka.core.Instances inst, java.lang.String predictionsFile)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `completed()` True if the job finished before it was killed hard
    `protected void` | `doWork()` Subclasses should do all their work in here
    `java.lang.Exception` | `getException()` Gets whatever exception was thrown by this thread
    `protected java.lang.String` | `getOpName()`
    `void` | `run()` The run method of the thread
    `void` | `terminate()` Request that a job be stopped
    `boolean` | `terminated()` Checks to see if the job was killed hard

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EvaluatorThread

          public EvaluatorThread(weka.classifiers.Evaluation ev,
                                 weka.classifiers.AbstractClassifier cls,
                                 weka.core.Instances inst)

    - #### EvaluatorThread

          public EvaluatorThread(weka.classifiers.Evaluation ev,
                                 weka.classifiers.AbstractClassifier cls,
                                 weka.core.Instances inst,
                                 java.lang.String predictionsFile)

  - ### Method Detail

    - #### doWork

          protected void doWork()
                         throws java.lang.Exception

      Subclasses should do all their work in here
      Throws:
        `java.lang.Exception` - if anything goes wrong.

    - #### getOpName

          protected java.lang.String getOpName()

    - #### run

          public void run()

      The run method of the thread
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### getException

          public java.lang.Exception getException()

      Gets whatever exception was thrown by this thread
      Returns:
        The exception if it exists.

    - #### completed

          public boolean completed()

      True if the job finished before it was killed hard
      Returns:
        Whether the job completed.

    - #### terminate

          public void terminate()

      Request that a job be stopped

    - #### terminated

          public boolean terminated()

      Checks to see if the job was killed hard
      Returns:
        Whether the job was killed.